# /wild
wild:
  excluded-biomes:
    - cold_ocean
    - deep_cold_ocean
    - deep_frozen_ocean
    - deep_lukewarm_ocean
    - deep_ocean
    - frozen_ocean
    - frozen_river
    - lukewarm_ocean
    - ocean
    - river
    - warm_ocean
  world: survie
  max-range: 20000 #14500 -> 1.17, 10000 -> 1.16
  usage-cooldown: 30
  move-cooldown: 5
  usage-per-day: 5

# Configuration de la base de donnée
database:
  host: localhost # host of your database
  port: 3306 # default port for MariaDB and MySQL
  database: db # name of your database. A database server can contain multiple databases
  user: username
  password: password
  table-prefix: site_ # prefix of the tables in your database

player-join-playSound: true
player-join-message: "&a%player_name% &fa rejoint le serveur :D"
player-quit-message: "&a%player_name% &fvient de quitter le serveur :'("

# Serveur messagerie
internal-webserver-port: 25575
msg-verbose: false

# API Bot Discord
discordBot-api-url: "http://node.sl-projects.com:27001/"

# Config générale
server-type: prod # prod/dev

# Periodic events
periodic-event-call-time: 60 # En sencondes
ticks-per-seconds: 20

# Statistiques des joueurs
stats:
  required-played-time-for-upgrading-players-account: 72000 # En sencondes
  players-account-upgrade-role: "habitué"